Subject: Re: kpathsea cannot read `texmf.cnf' under Cygwin 1.1.4
From: [email-masked]
To: Jerome Benoit <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 7 Nov 2000 14:44:26 -0700

Jerome,

Agreed, it's not a problem with Cygwin per se but with the test
used by mktexlsr to decide with path separator to use. So therefore,
although "Cygwin is not DOSISH", the test for $COMSPEC passes,
( echo $COMSPEC -> C:\WINNT\system32\cmd.exe )
and causes mktexlsr to use ';' instead of ':'

If that is what you were saying, then ignore my comments.

Thanks,
--Kevin

                                                                                                                   
                    Jerome Benoit                                                                                  
                    <JGMBenoit@Wa        To:     "Dr. Volker Zell" <[email-masked]>                     
                    nadoo.fr>            cc:     [email-masked], [email-masked]                 
                                         Subject:     Re: kpathsea cannot read `texmf.cnf' under Cygwin 1.1.4      
                    11/07/00                                                                                       
                    11:12 AM                                                                                       

It is not a Cygwin problem:
in fact Cygwin is not DOSISH : that the point:

I plan to submit a change file sooner.

Jerome BENOIT

"Dr. Volker Zell" wrote:
>
> >>>>> "Kevin" == Kevin Wright <[email-masked]> writes:
>
>     Kevin> Jerome,
>     Kevin> I found some of my notes from building teTeX which uses some
of the same
>     Kevin> utilities. Here's what I found:
>
>     Kevin> /usr/local/bin/mktexlsr:
>     Kevin>    if test -z "$COMSPEC" && test -z "$ComSpec"; then SEP=':';
else SEP=';';
>     Kevin> fi
>
>     Kevin> changed this to SEP=':'
>
> Hi
>
>   I compiled teTex-1.0 under cygwin-1.1.5-4 and changed SEP to : as
recommended above.
>   Compiling tex files and previewing with xdvi works like a charm.
>   The only problem is that the automatic font generation facility of
tetex always places
>   the resulting .pk files in the directory where the dvi file is found.
>
>   It doesn't matter how I setup the font directory.
>
>   I checked the tetex config files against my linux and solaris
configuration, and couldn't find
>   any differences. So maybe it's a cygwin problem.
>
>   Is anybody out there who's using tetex with cygwin and seeing the same
problem, or better
>   has an answer ?
>
> Ciao
>   Volker

--
Want to unsubscribe from this list?
Send a message to [email-masked]